<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::avsCommon::avs::CapabilityAgent::DirectiveInfo Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common.html">avsCommon</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1avs_common_1_1avs.html">avs</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">CapabilityAgent</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">DirectiveInfo</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::avsCommon::avs::CapabilityAgent::DirectiveInfo Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_capability_agent_8h_source.html">CapabilityAgent.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a8043c0e0fcc8272c251e1936ab4f7fc2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html#a8043c0e0fcc8272c251e1936ab4f7fc2">DirectiveInfo</a> (std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt; directiveIn, std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">sdkInterfaces::DirectiveHandlerResultInterface</a> &gt; resultIn)</td></tr>
<tr class="separator:a8043c0e0fcc8272c251e1936ab4f7fc2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45a0b27903b8613efff13df5f776f3f3"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html#a45a0b27903b8613efff13df5f776f3f3">~DirectiveInfo</a> ()=default</td></tr>
<tr class="separator:a45a0b27903b8613efff13df5f776f3f3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:a1982e1987557bd66f084db026788d75e"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html#a1982e1987557bd66f084db026788d75e">directive</a></td></tr>
<tr class="memdesc:a1982e1987557bd66f084db026788d75e"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a></code> that is passed during preHandle.  <a href="#a1982e1987557bd66f084db026788d75e">More...</a><br /></td></tr>
<tr class="separator:a1982e1987557bd66f084db026788d75e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79d5adf5424eb507605ef413a1222e9a"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">sdkInterfaces::DirectiveHandlerResultInterface</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html#a79d5adf5424eb507605ef413a1222e9a">result</a></td></tr>
<tr class="memdesc:a79d5adf5424eb507605ef413a1222e9a"><td class="mdescLeft">&#160;</td><td class="mdescRight"><code>DirectiveHandlerResultInterface</code>.  <a href="#a79d5adf5424eb507605ef413a1222e9a">More...</a><br /></td></tr>
<tr class="separator:a79d5adf5424eb507605ef413a1222e9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9af8f2d6a83601dcca851910949529df"><td class="memItemLeft" align="right" valign="top">std::atomic&lt; bool &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html#a9af8f2d6a83601dcca851910949529df">isCancelled</a></td></tr>
<tr class="memdesc:a9af8f2d6a83601dcca851910949529df"><td class="mdescLeft">&#160;</td><td class="mdescRight">Flag to indicate whether the directive is cancelled.  <a href="#a9af8f2d6a83601dcca851910949529df">More...</a><br /></td></tr>
<tr class="separator:a9af8f2d6a83601dcca851910949529df"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p class=""><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent.html">CapabilityAgent</a> maintains a map from messageId to instances of <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">DirectiveInfo</a> so that CapabilityAgents can track the processing of an <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a></code>. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a8043c0e0fcc8272c251e1936ab4f7fc2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8043c0e0fcc8272c251e1936ab4f7fc2">&#9670;&nbsp;</a></span>DirectiveInfo()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">alexaClientSDK::avsCommon::avs::CapabilityAgent::DirectiveInfo::DirectiveInfo </td>
          <td>(</td>
          <td class="paramtype">std::shared_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a> &gt;&#160;</td>
          <td class="paramname"><em>directiveIn</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::unique_ptr&lt; <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">sdkInterfaces::DirectiveHandlerResultInterface</a> &gt;&#160;</td>
          <td class="paramname"><em>resultIn</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p class="">Constructor.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">directiveIn</td><td>The <code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a></code> with which to populate this <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">DirectiveInfo</a>. </td></tr>
    <tr><td class="paramname">resultIn</td><td>The <code>DirectiveHandlerResultInterface</code> instance with which to populate this <a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_capability_agent_1_1_directive_info.html">DirectiveInfo</a>. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a45a0b27903b8613efff13df5f776f3f3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a45a0b27903b8613efff13df5f776f3f3">&#9670;&nbsp;</a></span>~DirectiveInfo()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual alexaClientSDK::avsCommon::avs::CapabilityAgent::DirectiveInfo::~DirectiveInfo </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span><span class="mlabel">default</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p class="">Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="a1982e1987557bd66f084db026788d75e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1982e1987557bd66f084db026788d75e">&#9670;&nbsp;</a></span>directive</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a>&gt; alexaClientSDK::avsCommon::avs::CapabilityAgent::DirectiveInfo::directive</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><code><a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1avs_1_1_a_v_s_directive.html">AVSDirective</a></code> that is passed during preHandle. </p>

</div>
</div>
<a id="a9af8f2d6a83601dcca851910949529df"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9af8f2d6a83601dcca851910949529df">&#9670;&nbsp;</a></span>isCancelled</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::atomic&lt;bool&gt; alexaClientSDK::avsCommon::avs::CapabilityAgent::DirectiveInfo::isCancelled</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Flag to indicate whether the directive is cancelled. </p>

</div>
</div>
<a id="a79d5adf5424eb507605ef413a1222e9a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a79d5adf5424eb507605ef413a1222e9a">&#9670;&nbsp;</a></span>result</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classalexa_client_s_d_k_1_1avs_common_1_1sdk_interfaces_1_1_directive_handler_result_interface.html">sdkInterfaces::DirectiveHandlerResultInterface</a>&gt; alexaClientSDK::avsCommon::avs::CapabilityAgent::DirectiveInfo::result</td>
        </tr>
      </table>
</div><div class="memdoc">

<p><code>DirectiveHandlerResultInterface</code>. </p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>/workplace/avs-device-sdk/AVSCommon/AVS/include/AVSCommon/AVS/<a class="el" href="_capability_agent_8h_source.html">CapabilityAgent.h</a></li>
<li>/workplace/avs-device-sdk/AVSCommon/AVS/src/<a class="el" href="_capability_agent_8cpp.html">CapabilityAgent.cpp</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
